Bug 345091 (CVE-2007-4351) - CVE-2007-4351 cups boundary error
Summary: CVE-2007-4351 cups boundary error
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-4351
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 353981 353991 356541 356551 356561 361661 361671 361681 362971
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-22 12:29 UTC by Tomas Hoger
Modified: 2019-09-29 12:21 UTC (History)
3 users (show)

Fixed In Version: 1.3.4-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-08 06:03:38 UTC


Attachments (Terms of Use)
Patch for CUPS 1.1 by Michael Sweet (3.72 KB, patch)
2007-10-23 10:02 UTC, Tomas Hoger
no flags Details | Diff
Patch for CUPS 1.2 by Michael Sweet (3.78 KB, patch)
2007-10-23 10:05 UTC, Tomas Hoger
no flags Details | Diff
Patch for CUPS 1.3 by Michael Sweet (3.78 KB, patch)
2007-10-23 10:06 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1020 normal SHIPPED_LIVE Important: cups security and bug fix update 2007-10-31 13:48:34 UTC
Red Hat Product Errata RHSA-2007:1022 normal SHIPPED_LIVE Important: cups security update 2007-11-07 17:52:42 UTC
Red Hat Product Errata RHSA-2007:1023 normal SHIPPED_LIVE Important: cups security update 2007-11-07 17:58:59 UTC

Description Tomas Hoger 2007-10-22 12:29:15 UTC
Alin Rad Pop of the Secunia Research has discovered a vulnerability in CUPS,
which can be exploited by malicious people to compromise a vulnerable system.

The vulnerability is caused due to a boundary error within the
"ippReadIO()" function in cups/ipp.c when processing IPP (Internet
Printing Protocol) tags. This can be exploited to overwrite one byte on
the stack with a zero by sending an IPP request containing specially
crafted "textWithLanguage" or "nameWithLanguage" tags.

Successful exploitation allows execution of arbitrary code.

Acknowledgements:

Red Hat would like to thank Alin Rad Pop for reporting this issue.

Comment 2 Tomas Hoger 2007-10-23 10:02:56 UTC
Created attachment 234891 [details]
Patch for CUPS 1.1 by Michael Sweet

Comment 3 Tomas Hoger 2007-10-23 10:05:06 UTC
Created attachment 234901 [details]
Patch for CUPS 1.2 by Michael Sweet

Comment 4 Tomas Hoger 2007-10-23 10:06:06 UTC
Created attachment 234911 [details]
Patch for CUPS 1.3 by Michael Sweet

Comment 5 Tomas Hoger 2007-10-24 08:52:44 UTC
CUPS 1.1 is not affected by "one null byte overwrite" mentioned in Secunia
advisory, that part only affects CUPS 1.2+.  Attacker can only overwrite memory
location 2^16 bytes away from current stack location towards the bottom of the
stack.

Patch for CUPS 1.1 adds additional checks on input values.  Without them, it may
still be possible to trick cupsd to read some random data from stack and
possibly crash daemon.

Comment 11 Mark J. Cox 2007-10-31 11:11:25 UTC
now public, removing embargo
http://secunia.com/secunia_research/2007-76/advisory/

Comment 15 Fedora Update System 2007-11-08 06:03:30 UTC
cups-1.3.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.